from django.views.generic.simple import direct_to_template
from django.views.generic.list_detail import object_list
from forms import PhotoIExactMonthForm
from photo.models import Photo

def iexact_month_query(request):
    if request.method == 'POST':
        form = PhotoIExactMonthForm(request.POST)
        if form.is_valid():
            return object_list(request,
                               template_object_name='photo',
                               queryset=Photo.objects.filter(title__iexact=form.cleaned_data['title'],
                                                             published__month=form.cleaned_data['month']))
    else:
        form = PhotoIExactMonthForm()

    return direct_to_template(request, 'demo_nonstandard_lookups/search.html',
        {'form': form})