from django import forms
from django.contrib.auth.models import User

class PhotoUserSearchForm(forms.Form):
    first_name = forms.CharField(label="User's first name", required=True)
    last_name = forms.CharField(label="User's last name", required=True)
    
class PhotoUserMonthSearchForm(forms.Form):
    first_name = forms.CharField(label="User's first name", required=True)
    last_name = forms.CharField(label="User's last name", required=True)
    month = forms.IntegerField(label='In which month did you create the entity?',
                               required=True)
    
class UserCreationForm(forms.ModelForm):
    first_name = forms.CharField()
    last_name = forms.CharField()

    class Meta:
        model = User
        fields = ('first_name', 'last_name', )

    def save(self, commit=True):
        user = super(UserCreationForm, self).save(commit=False)
        user.username = '%s %s' %(user.first_name, user.last_name)
        user.set_password('Gaga')
        if commit:
            user.save()
        return user